TechDraw: Angolo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Angle and the translation is 47% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg TechDraw Dimension Diameter.svg Diametro Pagina precedente:
Pagina successiva: Angolo da 3 punti TechDraw Dimension Angle3Pt.svg Arrow-right.svg

TechDraw Dimension Angle.svg Angolo

Posizione nel menu
TechDraw → Angolo
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Angolo da tre punti

Descrizione

Lo strumento Angolo aggiunge una dimensione angolare ad una Vista. La dimensione può essere l'angolo interno tra due bordi rettilinei. Inizialmente viene indicato il valore dell'angolo proiettato (vale a dire, come mostrato nel disegno), ma questo valore può essere sostituito con quello dell'angolo 3D effettivo utilizzando lo strumento TechDraw Dimension Link.svg Link alla dimensione.

TechDraw Dimension Angle example.png

Misurazione dell'angolo tra due linee rette

Utilizzo

  1. Selezionare i punti o bordi che definiscono la misura.
  2. Premere il pulsante TechDraw Dimension Angle.svg Angolo
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitazioni

Gli oggetti dimensione sono vulnerabili ai problemi di "denominazione topologica". Per maggiori informazioni vedere le informazioni nello strumento TechDraw Dimension Length.svg Lunghezza.

Proprietà

Questo oggetto ha le stesse proprietà dello strumento Lunghezza

Script

Lo strumento Dimension Angle può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg TechDraw Dimension Diameter.svg Diametro Pagina precedente:
Pagina successiva: Angolo da 3 punti TechDraw Dimension Angle3Pt.svg Arrow-right.svg